%define gettext_package startcom-menus
%define desktop_file_utils_version 0.9

Summary: Configuration and data files for the desktop menus
Name: startcom-menus
Version: 6.7.5
Release: 1
URL: http://www.startcom.org
Source0: %{name}-%{version}.tar.gz
PreReq: desktop-file-utils >= %{desktop_file_utils_version}

License: XFree86
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
Requires(post): /usr/bin/update-desktop-database
Requires(postun): /usr/bin/update-desktop-database

## old nautilus contained start-here stuff
Conflicts: nautilus <= 2.0.3-1
## desktop files in startcom-menus point to icons in new artwork
Conflicts: startcom-artwork < 0.35
## old evolution packages point to a no-longer-existing symlink
Conflicts: evolution <= 2.4.1-5

%description

This package contains the XML files that describe the menu layout for 
GNOME and KDE, and the .desktop files that define the names and icons 
of "subdirectories" in the menus.

%prep
%setup -q

%build

%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{gettext_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database %{_datadir}/applications

%postun
update-desktop-database %{_datadir}/applications

%files  -f %{gettext_package}.lang
%defattr(-,root,root)
%dir %{_sysconfdir}/xdg
%dir %{_sysconfdir}/xdg/menus
%dir %{_sysconfdir}/xdg/menus/applications-merged
%dir %{_sysconfdir}/xdg/menus/preferences-merged
%dir %{_sysconfdir}/xdg/menus/preferences-post-merged
%config %{_sysconfdir}/xdg/menus/*.menu
%{_datadir}/desktop-menu-patches/*.desktop
%{_datadir}/desktop-directories/*.directory

%changelog
* Mon Apr 24 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x
- Changes to StartCom

